#ifndef SKYBOX_H
#define SKYBOX_H

#include "entity.h"
#include <glew/glew.h>

class QString;

class SkyBox : public Entity
{
private:
    static const GLfloat skyboxVertices[];
    static const QString vertSource;
    static const QString fragSource;
    GLuint vao;
    GLuint vbo;
public:
    SkyBox(const QString filename[6]);
    ~SkyBox();
    virtual void draw(const glm::mat4 viewMatrix, const glm::mat4 projectionMatrix);
};

#endif // SKYBOX_H
